This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 11:45
Elapsed6m48s
Revision
Builderef0dca02-7344-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/0aa1cf42-ba3f-481e-b79d-65464295cf8d/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/0aa1cf42-ba3f-481e-b79d-65464295cf8d/targets/test
infra-commitbf7dc9346

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 11:45:09.422] process 29 exited with code 0 after 0.0m
I0331 11:45:09.423] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 11:45:09.423] Root: /workspace
I0331 11:45:09.423] cd to /workspace
I0331 11:45:09.424] Configure environment...
I0331 11:45:09.424] Call:  git show -s --format=format:%ct HEAD
W0331 11:45:09.429] fatal: not a git repository (or any of the parent directories): .git
I0331 11:45:09.429] process 42 exited with code 128 after 0.0m
W0331 11:45:09.429] Unable to print commit date for HEAD
I0331 11:45:09.430] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 11:45:09.921] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 11:45:10.824] process 43 exited with code 0 after 0.0m
I0331 11:45:10.824] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 11:51:47.135]     self.send(msg)
W0331 11:51:47.135]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 11:51:47.135]     self.connect()
W0331 11:51:47.135]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 11:51:47.136]     conn = self._new_conn()
W0331 11:51:47.136]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 11:51:47.136]     self, "Failed to establish a new connection: %s" % e
W0331 11:51:47.136] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f6b567f0da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 11:51:47.136] 
W0331 11:51:47.136] During handling of the above exception, another exception occurred:
W0331 11:51:47.136] 
W0331 11:51:47.137] Traceback (most recent call last):
W0331 11:51:47.137]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 11:51:47.137]     timeout=timeout
W0331 11:51:47.137]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 11:51:47.137]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 11:51:47.137]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 11:51:47.137]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 11:51:47.138] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6b567f0da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 11:51:47.138] 
W0331 11:51:47.138] During handling of the above exception, another exception occurred:
W0331 11:51:47.139] 
W0331 11:51:47.139] Traceback (most recent call last):
W0331 11:51:47.139]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 11:51:47.139]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 11:51:47.140]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 11:51:47.141]     resp = self.send(prep, **send_kwargs)
W0331 11:51:47.141]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 11:51:47.141]     r = adapter.send(request, **kwargs)
W0331 11:51:47.141]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 11:51:47.141]     raise ConnectionError(e, request=request)
W0331 11:51:47.141] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6b567f0da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 11:51:47.141] Traceback (most recent call last):
W0331 11:51:47.142]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 11:51:47.142]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 11:51:47.142]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 11:51:47.142]     check(*cmd)
W0331 11:51:47.142]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 11:51:47.142]     subprocess.check_call(cmd)
W0331 11:51:47.142]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 11:51:47.142]     raise CalledProcessError(retcode, cmd)
W0331 11:51:47.143] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 11:51:47.143] Command failed
I0331 11:51:47.143] process 251 exited with code 1 after 6.5m
E0331 11:51:47.143] FAIL: metrics-kettle
I0331 11:51:47.143] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 11:51:47.650] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 11:51:48.298] process 255 exited with code 0 after 0.0m
I0331 11:51:48.298] Call:  gcloud config get-value account
I0331 11:51:49.212] process 267 exited with code 0 after 0.0m
I0331 11:51:49.212] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 11:51:49.212] Upload result and artifacts...
I0331 11:51:49.212] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244953724472791040
W0331 11:51:49.213] Missing local artifacts : /workspace/_artifacts
W0331 11:51:49.213] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 11:51:49.213] metadata not found or invalid, init with empty metadata
I0331 11:51:49.213] Call:  git rev-parse HEAD
W0331 11:51:49.218] fatal: not a git repository (or any of the parent directories): .git
E0331 11:51:49.218] Command failed
I0331 11:51:49.218] process 280 exited with code 128 after 0.0m
I0331 11:51:49.219] Call:  git rev-parse HEAD
I0331 11:51:49.225] process 281 exited with code 0 after 0.0m
I0331 11:51:49.225] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 11:51:50.766] process 282 exited with code 0 after 0.0m
I0331 11:51:50.767] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585651840381134'
... skipping 8 lines ...